Bug 1302014 (CVE-2015-7579) - CVE-2015-7579 rubygem-rails-html-sanitizer: XSS vulnerability in Action View's strip_tags function
Summary: CVE-2015-7579 rubygem-rails-html-sanitizer: XSS vulnerability in Action View'...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-7579
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1302016
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-26 14:23 UTC by Adam Mariš
Modified: 2019-09-29 13:43 UTC (History)
2 users (show)

Fixed In Version: rubygem-rails-html-sanitizer 1.0.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:47:52 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-01-26 14:23:57 UTC
XSS vulnerability in `Rails::Html::FullSanitizer` used by Action View's `strip_tags` was reported. Due to the way that `Rails::Html::FullSanitizer` is implemented, if an attacker passes an already escaped HTML entity to the input of Action View's `strip_tags` these entities will be unescaped what may cause a XSS attack if used in combination with `raw` or `html_safe`.

External References:

https://groups.google.com/forum/#!msg/rubyonrails-security/OU9ugTZcbjc/PjEP46pbFQAJ
http://weblog.rubyonrails.org/2016/1/25/Rails-5-0-0-beta1-1-4-2-5-1-4-1-14-1-3-2-22-1-and-rails-html-sanitizer-1-0-3-have-been-released/

Comment 1 Adam Mariš 2016-01-26 14:24:31 UTC
Created rubygem-rails-html-sanitizer tracking bugs for this issue:

Affects: fedora-all [bug 1302016]

Comment 2 Adam Mariš 2016-01-26 15:20:36 UTC
Acknowledgments:

Red Hat would like to thank Ruby on Rails project for reporting this issue.
Upstream acknowledges Arthur Neves from GitHub and Spyros Livathinos from Zendesk as the original reporters.

Comment 3 Fedora Update System 2016-02-28 08:29:13 UTC
rubygem-rails-html-sanitizer-1.0.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-02-28 12:23:51 UTC
rubygem-rails-html-sanitizer-1.0.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-08 02:47:52 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.